我不会安装tar.gz的文件,谁来帮我看看...

重复贴和参考价值不大的帖子,版主维护
回复
jiazi9
帖子: 13
注册时间: 2009-01-15 9:03
送出感谢: 0
接收感谢: 0

我不会安装tar.gz的文件,谁来帮我看看...

#1

帖子 jiazi9 » 2009-02-01 19:51

从网上找的软件格式是 tar.gz
我在网上找乐这种格式的安装方法,在终端试了很长时间,总是弄不成功我把./configure的结果发上来,谁懂的话能不能给些指点...
zjz@zjz-laptop:~/桌面/w3m-0.5.2$ sudo ./configure
checking for gawk... gawk
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... yes
checking whether make sets $(MAKE)... yes
checking for ranlib... ranlib
checking for perl... /usr/bin/perl
checking for nkf... no
checking for man... /usr/bin/man
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking if m17n support is enabled... yes
checking if unicode support is enabled... yes
checking if message l10n... no
checking if japanese support is enabled... no
checking which charset is used for display... UTF-8
checking whether NLS is requested... yes
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking whether NLS is requested... yes
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking if color escape sequence for kterm/pxvt is enabled... yes
checking if ansi color escape sequence support is enabled... yes
checking if background color support is enabled... yes
checking if image is enabled... yes
checking image library... gtk2 gdk-pixbuf imlib imlib2
configure: WARNING: GdkPixbuf is not installed. Install GdkPixbuf (version >= 2.0.0)
configure: WARNING: GdkPixbuf is not installed. Install GdkPixbuf (version >= 0.16.0)
configure: WARNING: Imlib is not installed. Install Imlib (version >= 1.9.8)
configure: WARNING: Imlib2 is not installed. Install Imlib2 (version >= 1.0.5)
configure: WARNING: unable to build w3mimgdisplay with X11 support
checking if xface is enabled... yes
checking for uncompface... no
configure: WARNING: uncompface is not installed.
checking default keymap... w3m
checking if popup menu is enabled... yes
checking if mouse operation enabled... yes
checking if URL history is enabled... yes
checking if alarm is enabled... yes
checking if cookie is enabled... yes
checking if nntp is enabled... yes
checking if gopher is enabled... no
checking if dictionary lookup is enabled... yes
checking if help cgi is enabled... yes
checking if external URI loader is enabled... yes
checking if w3mmail is used... yes
checking if migemo is supported with... migemo -t egrep /usr/local/share/migemo/migemo-dict
checking which editor is used by default... /usr/bin/vi
checking which mailer is used by default... /usr/bin/mail
checking which external browser is used by default... /usr/bin/mozilla
checking for -lbsd... not found
checking for -lBSD... not found
checking for -l44bsd... not found
checking for -lsocket... not found
checking for -lnsl... found at /usr/lib
checking for -ldld... not found
checking for -ldl... found at /usr/lib
checking if IPv6 support is enabled... yes
checking if IPv6 API available... checking for getaddrinfo... yes
checking if struct sockaddr_storage has an ss_family member... yes
checking if SSL is suported... yes
checking for openssl... checking for SSL library/header... /usr/openssl /usr/ssl /usr /usr/local/openssl /usr/local/ssl /usr/local
checking for SSL_new in -lssl... no
checking if digest auth is enabled... no
checking for sqrt... no
checking for sqrt in -lm... yes
checking for Gpm_Open in -lgpm... no
checking terminal library... yes
checking for tgetent in -lterminfo... no
checking for tgetent in -lmytinfo... no
checking for tgetent in -ltermlib... no
checking for tgetent in -ltermcap... no
checking for tgetent in -lncurses... no
checking for tgetent in -lcurses... no
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking GC library exists... yes
checking gc.h usability... no
checking gc.h presence... no
checking for gc.h... no
checking GC header location... /usr /usr/local /home/zjz
checking /usr/include... checking gc.h usability... no
checking gc.h presence... no
checking for gc.h... no
checking /usr/include/gc... checking gc.h usability... no
checking gc.h presence... no
checking for gc.h... no
checking /usr/local/include... checking gc.h usability... no
checking gc.h presence... no
checking for gc.h... no
checking /usr/local/include/gc... checking gc.h usability... no
checking gc.h presence... no
checking for gc.h... no
checking /home/zjz/include... checking gc.h usability... no
checking gc.h presence... no
checking for gc.h... no
checking /home/zjz/include/gc... checking gc.h usability... no
checking gc.h presence... no
checking for gc.h... no
configure: error: gc.h not found
aerofox
帖子: 1453
注册时间: 2008-05-24 8:30
送出感谢: 2 次
接收感谢: 31 次

Re: 我不会安装tar.gz的文件,谁来帮我看看...

#2

帖子 aerofox » 2009-02-01 20:26

试试

代码: 全选

sudo aptitude install libgc-dev
jiazi9
帖子: 13
注册时间: 2009-01-15 9:03
送出感谢: 0
接收感谢: 0

Re: 我不会安装tar.gz的文件,谁来帮我看看...

#3

帖子 jiazi9 » 2009-02-01 20:50

还是不行
terms.o:/home/zjz/桌面/w3m-0.5.2/terms.c:740: more undefined references to `tgetstr' followcollect2: ld 返回 1
make: *** [w3m] 错误 1
jianxiong
帖子: 18
注册时间: 2009-01-22 3:30
送出感谢: 0
接收感谢: 0

Re: 我不会安装tar.gz的文件,谁来帮我看看...

#4

帖子 jianxiong » 2009-02-01 20:54

我现在机子上所有的软件都是用apt-get这个命令安装的,我也下载了tar。gz的安装包我也不知道如何安装,好多命令不知道是什么意思,这可太急人了!有谁知道我现在该看些什么阿?我的邮箱是mjx341@163.comQQ:826365669有意共同成长的请加我。
aerofox
帖子: 1453
注册时间: 2008-05-24 8:30
送出感谢: 2 次
接收感谢: 31 次

Re: 我不会安装tar.gz的文件,谁来帮我看看...

#5

帖子 aerofox » 2009-02-01 22:48

jiazi9 写了:还是不行
terms.o:/home/zjz/桌面/w3m-0.5.2/terms.c:740: more undefined references to `tgetstr' followcollect2: ld 返回 1
make: *** [w3m] 错误 1
configure 通过了吗?
flowaters
帖子: 4
注册时间: 2006-12-08 9:42
送出感谢: 0
接收感谢: 0

Re: 我不会安装tar.gz的文件,谁来帮我看看...

#6

帖子 flowaters » 2009-02-01 23:13

直接用源里的w3m就可以了

有些tar.gz不好编译,这个很可能就属于这一类
jiazi9
帖子: 13
注册时间: 2009-01-15 9:03
送出感谢: 0
接收感谢: 0

Re: 我不会安装tar.gz的文件,谁来帮我看看...

#7

帖子 jiazi9 » 2009-02-04 0:47

configure通过了
到了make这一步就出现上面的问题了
头像
jeromezhr
帖子: 6
注册时间: 2009-01-30 21:49
送出感谢: 0
接收感谢: 0

Re: 我不会安装tar.gz的文件,谁来帮我看看...

#8

帖子 jeromezhr » 2009-02-04 11:26

还是新立得方便阿。。会自动搜索相关的lib文件和头文件
回复

回到 “归档贴”